# opensolid/mesh

This package allows you to create and manipulate indexed triangular meshes,
especially useful for 3D rendering. Although it is used by other OpenSolid
packages such as [`opensolid/geometry`](http://package.elm-lang.org/packages/opensolid/geometry/latest),
this package is itself generic and works equally well with any vertex type.

## Installation

Assuming you have [installed Elm](https://guide.elm-lang.org/install.html) and
started a new project, use [elm-package](https://guide.elm-lang.org/install.html#elm-package)
to install `opensolid/mesh`, either by running

```
elm package install opensolid/mesh
```

in a command prompt inside your project directory or by adding

```json
"opensolid/mesh": "1.0.0 <= v < 2.0.0"
```

to the `dependencies` field in your project's `elm-package.json`.

## Documentation

[Full API documentation](http://package.elm-lang.org/packages/opensolid/mesh/1.0.0/OpenSolid-Mesh)
is available.

## Questions? Comments?

Please [open a new issue](https://github.com/opensolid/mesh/issues) if you run
into a bug, if any documentation is missing/incorrect/confusing, or if there's a
new feature that you would find useful. For general questions about using this
package, try:

  - Sending me (@ianmackenzie) a message on the [Elm Slack](http://elmlang.herokuapp.com/) -
    even if you don't have any particular questions right now, just come say
    hello!
  - Posting to the [r/elm](https://reddit.com/r/elm) subreddit
  - Posting to the [elm-discuss](https://groups.google.com/forum/#!forum/elm-discuss)
    Google Group (somewhat less active than Slack and Reddit, but I still follow
    it regularly if you prefer e-mail)
  - Or if you happen to be in the New York area, come on out to the
    [Elm NYC meetup](https://www.meetup.com/Elm-NYC/) =)

You can also find me on Twitter ([@ianemackenzie](https://twitter.com/ianemackenzie)),
where I occasionally post OpenSolid-related stuff like demos or new releases.
Have fun, and don't be afraid to ask for help!
